******************************************************************************************************************************************
* 		ATELIER DE TRAITEMENT ET ANALYSE DE L'ENQUETE 1-2-3 A KINSHASA	        		****
*				 PROGRAMME DE TABULATION PHASE 1 				            ****
******************************************************************************************************************************************


****** CHAPITRE 1 : SITUATION SOCIO-DEMOGRAPHIQUE *******************************

**Pyramide des ages
*** Calcul des tranches d'ges

RECODE
  m4_age
  (0 thru 4=1)  (5 thru 9=2)  (10 thru 14=3)  (15 thru 19=4)  (20 thru 24=5)
  (25 thru 29=6)  (30 thru 34=7)  (35 thru 39=8)  (40 thru 44=9)  (45 thru
  49=10)  (50 thru 54=11)  (55 thru 59=12)  (60 thru 64=13)  (65 thru 69=14)
  (70 thru 74=15)  (75 thru 79=16)  (80 thru Highest=17)  INTO  Tran_age .
VARIABLE LABELS Tran_age "Tranche d'ges pour pyramide".
EXECUTE .


*** Renommer la variable "sexe"

VAR LAB M3_SEXE "Sexe".
EXECUTE.



**Pondrer les observations

WEIGHT by PONDER3.

*****************************************************************************************************************
* QUELQUES CORRECTIONS AUTOMATIQUES DU FICHIER DES VARIABLES DE MIGRATION
*****************************************************************************************************************


* Si et une des variables M10b_dur   M11c_pay est # Blanc alors M10a_tps = 2 . 


DO IF (((M10b_dur <> SYSMIS(M10b_dur)) or (M11a_lhb <> SYSMIS(M11a_lhb)) or
  (M11b_dst <> SYSMIS(M11b_dst)) or (m11c_pay <> SYSMIS(m11c_pay))) and (M10a_tps
  = SYSMIS(M10a_tps ))) .
RECODE
  m10a_tps  (SYSMIS=2)  .
END IF .
EXECUTE .

* Si toute les variables M10b_dur   M11c_pay sont = Blanc et lieu de naissance = Kin  ou cette ville alors M10a_tps = 1 . 


DO IF ((M10b_dur EQ SYSMIS(M10b_dur )) AND (M11a_lhb EQ SYSMIS(M11a_lhb )) AND (M11b_dst EQ SYSMIS(M11b_dst)) AND (m11c_pay EQ SYSMIS(m11c_pay )) and (m9_lnais EQ 1) and (M10a_tps EQ SYSMIS(M10a_tps ))).
	RECODE M10a_tps (SYSMIS = 1).
END IF.
EXECUTE.

***************************************************************************************************************


**Pour tous les tableaux relatifs  la population exclure les visiteurs m2_STATU <= 2

COMPUTE IND_VIS = 0.
IF (m2_STATU <= 2) IND_VIS =1.
FILTER BY IND_VIS .

* Tableau N1 : Rpartition de la population selon l'ge le sexe et la migration (dernire migration)

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /FTOTAL $t 'Group Total'
  /TABLES (tran_age > (STATISTICS) +  $t  + T0000000 > (STATISTICS))
  BY (m3_sexe > (m10a_tps +  $t ) + T0000000)
  /STATISTICS
  count( ( F5.0 ))/TITLE  "Tab 1: Rpartition de la population selon l'ge le sexe"+
' et migration'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /FTOTAL $t 'Group Total'
  /TABLES (Tran_age +  $t  + T0000000)
  BY (prov > m3_sexe > (m10a_tps > (STATISTICS) +  $t ) + T0000000 > (STATISTICS))
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':prov m3_sexe m10a_tps ) /TITLE  " Tab.1a:Rpartition de la population selon l'ge, le sexe et la migration"+
 " par province".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /FTOTAL $t 'Group Total'
  /TABLES (Tran_age +  $t  + T0000000)
  BY (milieu > m3_sexe > (m10a_tps > (STATISTICS) +  $t ) + T0000000 > (STATISTICS))
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':milieu m3_sexe m10a_tps ) /TITLE  " Tab.1b:Rpartition de la population selon l'ge, le sexe et la migration"+
 " par milieu".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /FTOTAL $t 'Group Total'
  /TABLES (Tran_age +  $t  + T0000000)
  BY (milieu1 > m3_sexe > (m10a_tps > (STATISTICS) +  $t ) + T0000000 > (STATISTICS))
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':milieu1 m3_sexe m10a_tps ) /TITLE  " Tab.1b:Rpartition de la population selon l'ge, le sexe et la migration"+
 " par milieu".

* Tableau N2 : Rpartition de la population selon l'ge le sexe et la migration (lieu de naissance)

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /FTOTAL $t 'Group Total'
  /TABLES (tran_age > (STATISTICS) +  $t  + T0000000 > (STATISTICS))
  BY (m3_sexe > (m9_lnais +  $t ) + T0000000)
  /STATISTICS
  count( ( F5.0 ))/TITLE  "Tab 2: Rpartition de la population selon l'ge le sexe"+
' et migration'.

* Calcul de l'ge moyen de la population

**Tableau N 3 : Age moyen de la population selon le sex et la migration

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION m4_age
  /FTOTAL $t 'Group Total'
  /TABLES (m3_sexe > m4_age +  $t )
  BY (m10a_tps > (STATISTICS) +  $t )
  /STATISTICS
  mean( ) /TITLE  'Tab 3 : Age moyen de la population du pays par sexe et selon'+
 ' la migration'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION m4_age
  /FTOTAL $t 'Group Total'
  /TABLES (m10a_tps +  $t  + T0000000)
  BY (prov > (m3_sexe > m4_age +  $t ) + T0000000 > m4_age)
  /STATISTICS
  mean( ) /TITLE  'Tab3b: Age moyen de la population par  sexe et  selon la migration par province'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION m4_age
  /FTOTAL $t 'Group Total'
  /TABLES (m10a_tps +  $t  + T0000000)
  BY (milieu > (m3_sexe > m4_age +  $t ) + T0000000 > m4_age)
  /STATISTICS
  mean( ) /TITLE  'Tab3b: Age moyen de la population par  sexe et  selon la migration par milieu'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION m4_age
  /FTOTAL $t 'Group Total'
  /TABLES (m10a_tps +  $t  + T0000000)
  BY (milieu1 > (m3_sexe > m4_age +  $t ) + T0000000 > m4_age)
  /STATISTICS
  mean( ) /TITLE  'Tab3b: Age moyen de la population par  sexe et  selon la migration par milieu'.

**Tableau N4 : Rpartition de la population selon l'ge et la nationalit

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio > (STATISTICS) +  $t )
  BY (m3_sexe +  $t )
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Row %':m7_natio )
  cpct( ( PCT5.1 ) 'Col %':m3_sexe ) /TITLE  'Tab 4 :Rpartition de la population'+
 ' selon le sexe et la nationalit'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio +  $t  + T0000000)
  BY (prov > (m3_sexe > (STATISTICS) +  $t ) + T0000000 > (STATISTICS))
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Row %':m7_natio )
  cpct( ( PCT5.1 ) 'Col %':prov m3_sexe ) /TITLE  'Tab4a:  Rpartition de la population  selon le  sexe la nationalit par'+
 ' province'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio +  $t  + T0000000)
  BY (milieu > (m3_sexe > (STATISTICS) +  $t ) + T0000000 > (STATISTICS))
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Row %':m7_natio )
  cpct( ( PCT5.1 ) 'Col %':milieu m3_sexe ) /TITLE  'Tab4b:  Rpartition de la population  selon le  sexe la nationalit par'+
 ' milieu'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio +  $t  + T0000000)
  BY (milieu1 > (m3_sexe > (STATISTICS) +  $t ) + T0000000 > (STATISTICS))
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Row %':m7_natio )
  cpct( ( PCT5.1 ) 'Col %':milieu1 m3_sexe ) /TITLE  'Tab4b:  Rpartition de la population  selon le  sexe la nationalit par'+
 ' milieu'.

FILTER OFF.

******** MIGRATION 

* Rpartition des migrant selon l'origine

*** Pour les tableau ci-dessous, slectionner les migrants : m10a_tps = 2 et les rsidents m2_statu <= 2 

COMPUTE IND_MIG = 0.
IF ( m2_statu <= 2 AND m10a_tps = 2) IND_MIG =1.
FILTER BY IND_MIG.
EXECUTE.

***Recodification des missing de la variable M11a_lhb

***Tableau N 5 : Rpartition des migrants selon le type de localit de provenance

RECODE M11a_lhb (SYSMIS=7).
VAL LAB M11a_lhb 1'Chef lieu de province' 2'Chef lieu de district' 3'Autre ville' 4'Autre commune urbaine ou cit' 5'Village' 6'Etranger' 7 'ND'.
EXECUTE.


* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /FTOTAL $t 'Group Total'
  /TABLES (m11a_lhb > (STATISTICS) +  $t )
  BY (m7_natio +  $t )
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Row %':m11a_lhb )
  cpct( ( PCT5.1 ) 'Col %':m7_natio ) /TITLE  'Tab 5 : Rpartition des migrants selon'+
 ' la nationalit et la dernire provenance'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /FTOTAL $t 'Group Total'
  /TABLES (m11a_lhb +  $t  + T0000000)
  BY (prov > (m7_natio > (STATISTICS) +  $t ) + T0000000 > (STATISTICS))
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Row %':m11a_lhb )
  cpct( ( PCT5.1 ) 'Col %':prov m7_natio ) /TITLE  'Tab5a :  Rpartition des migants  selon la nationalit et la dernire'+
 ' provenance  par province'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /FTOTAL $t 'Group Total'
  /TABLES (m11a_lhb +  $t  + T0000000)
  BY (milieu > (m7_natio > (STATISTICS) +  $t ) + T0000000 > (STATISTICS))
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Row %':m11a_lhb )
  cpct( ( PCT5.1 ) 'Col %':milieu m7_natio ) /TITLE  'Tab5b :  Rpartition des migants  selon la nationalit et la dernire'+
 ' provenance  par milieu'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /FTOTAL $t 'Group Total'
  /TABLES (m11a_lhb +  $t  + T0000000)
  BY (milieu1 > (m7_natio > (STATISTICS) +  $t ) + T0000000 > (STATISTICS))
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Row %':m11a_lhb )
  cpct( ( PCT5.1 ) 'Col %':milieu1 m7_natio ) /TITLE  'Tab5b :  Rpartition des migants  selon la nationalit et la dernire'+
 ' provenance  par milieu'.


***Tableau N 6 : Rpartition des migrants selon la raison de migration

***Recodification des missing de la variable M12_poq

RECODE M12_poq (SYSMIS=8).
VAL LAB M12_poq 1'Pour suivre la famille' 2'Poursuivre des tudes' 3'Retour au lieu habituel' 4'Affectation' 5"Recherche d'un emploi" 6'Dplacs de guerre' 7 'Autre' 8'ND'.
EXECUTE.

* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /FTOTAL $t 'Group Total'
  /TABLES (m12_poq > (STATISTICS) +  $t )
  BY (m7_natio +  $t )
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Row %':m12_poq )
  cpct( ( PCT5.1 ) 'Col %':m7_natio ) /TITLE  'Tab 6: Rpartition des migrants selon'+
 ' la raison de migration'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /FTOTAL $t 'Group Total'
  /TABLES (m12_poq +  $t  + T0000000)
  BY (prov > (m7_natio > (STATISTICS) +  $t ) + T0000000 > (STATISTICS))
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Row %':m12_poq )
  cpct( ( PCT5.1 ) 'Col %':prov m7_natio ) /TITLE  'Tab6a :  Rpartition des migants  selon la nationalit et la raison de'+
 ' migration  par province'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /FTOTAL $t 'Group Total'
  /TABLES (m12_poq +  $t  + T0000000)
  BY (milieu > (m7_natio > (STATISTICS) +  $t ) + T0000000 > (STATISTICS))
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Row %':m12_poq )
  cpct( ( PCT5.1 ) 'Col %':milieu m7_natio ) /TITLE  'Tab6b :  Rpartition des migants  selon la nationalit et la raison de'+
 ' migration  par milieu'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /FTOTAL $t 'Group Total'
  /TABLES (m12_poq +  $t  + T0000000)
  BY (milieu1 > (m7_natio > (STATISTICS) +  $t ) + T0000000 > (STATISTICS))
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Row %':m12_poq )
  cpct( ( PCT5.1 ) 'Col %':milieu1 m7_natio ) /TITLE  'Tab6b :  Rpartition des migants  selon la nationalit et la raison de'+
 ' migration  par milieu'.

FILTER OFF.

****** CHAPITRE 1 : SCOLARISATION ALPHABETISATION *******************************

*** Pour les tableau ci-dessous, slectionneret les rsidents m2_statu <= 2 et and m4_age >= 6 

COMPUTE IND_RESI = 0.
IF ( m2_statu <= 2 and m4_age >= 6 ) IND_RESI =1.
FILTER BY IND_RESI .
EXECUTE.

*** Tableau N : Proportion des individus ayant t au moins  l'cole primaire

** Cration d'une variable indicatrice des individus ayant fait au moins l'cole primaire si (m13a_ecp = 1) et = 0 sinon

COMPUTE IND_ECP = 0.
IF (m13a_ecp = 1) IND_ECP = 1.
EXECUTE.

**Tableau N: Proportion des individu ayant t au moins  l'cole primaire selon la nationalit et le sexe.

* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION ind_ecp
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio > ind_ecp +  $t )
  BY (m3_sexe > (STATISTICS) +  $t )
  /STATISTICS
  mean( ) /TITLE  "Tab : Proportion des individus de 6 ans et + ayant t au moins "+
 " l'cole primaire selon le sexe et la nationalit".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_ECP
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio +  $t  + T0000000)
  BY (prov > (m3_sexe > IND_ECP +  $t ) + T0000000 > IND_ECP)
  /STATISTICS
  mean( ) /TITLE  "proportion des individus de 6 ans et + ayant t au moins  l'cole primaire selon la nationalit et la"+
 " province".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_ECP
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio +  $t  + T0000000)
  BY (milieu > (m3_sexe > IND_ECP +  $t ) + T0000000 > IND_ECP)
  /STATISTICS
  mean( ) /TITLE  "proportion des individus de 6 ans et + ayant t au moins  l'cole primaire selon la nationalit et le"+
 " milieu".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_ECP
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio +  $t  + T0000000)
  BY (milieu1 > (m3_sexe > IND_ECP +  $t ) + T0000000 > IND_ECP)
  /STATISTICS
  mean( ) /TITLE  "proportion des individus de 6 ans et + ayant t au moins  l'cole primaire selon la nationalit et le"+
 " milieu".

*** Tab : Proportion des individus de 6 ans et + n'ayant pas t  l'cole selon la tranche d'ge (Tout sexe)

****Cration de la variable "tranches d'ge " appropri

RECODE
  m4_age
  (0 thru 4=1)  (5 thru 9=2)  (10 thru 14=3)  (15 thru 19=4)  (20 thru 24=5)
  (25 thru 29=6)  (30 thru 34=7)  (35 thru 39=8)  (40 thru 44=9)  (45 thru
  49=10)  (50 thru 54=11)  (55 thru 59=12)  (60 thru Highest=13)  INTO  Tran_ag2 .
VARIABLE LABELS Tran_ag2 "Tranche d'ges pour niveau scolaire".
VAL LAB Tran_ag2 1'0-4' 2'5-9' 3'10-14' 4'15-19' 5'20-24' 6'25-29' 7'30-34' 8'35-39' 9'40-44' 10'45-49' 11'50-54' 12'55-59' 13'60 et +'.
EXECUTE .

*** Indicatrice des personnes n'ayant jamais t  l'cole

COMPUTE IND_NECP = 0.
IF (m13a_ecp = 2 ) IND_NECP = 100.
EXECUTE.


* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION ind_necp
  /FTOTAL $t 'Total'
  /TABLES (tran_ag2 +  $t ) BY (m3_sexe > (STATISTICS) +  $t )
    BY ind_necp
  /STATISTICS
  mean( ) /TITLE  "Tab : Proportion des individus de 6 ans et + jamais scolariss selon "+
"l'ge et le sexe ".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_NECP
  /FTOTAL $t 'Group Total'
  /TABLES (Tran_ag2 +  $t  + T0000000)
  BY (prov > (m3_sexe > IND_NECP +  $t ) + T0000000 > IND_NECP)
  /STATISTICS
  mean( ) /TITLE  "proportion des individus de 6 ans et + jamais scolariss  selon l'age et le sexe et la province".

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_NECP
  /FTOTAL $t 'Group Total'
  /TABLES (Tran_ag2 +  $t  + T0000000)
  BY (milieu > (m3_sexe > IND_NECP +  $t ) + T0000000 > IND_NECP)
  /STATISTICS
  mean( ) /TITLE  "proportion des individus de 6 ans et + jamais scolariss  selon l'age et le sexe et le milieu".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_NECP
  /FTOTAL $t 'Group Total'
  /TABLES (Tran_ag2 +  $t  + T0000000)
  BY (milieu1 > (m3_sexe > IND_NECP +  $t ) + T0000000 > IND_NECP)
  /STATISTICS
  mean( ) /TITLE  "proportion des individus de 6 ans et + jamais scolariss  selon l'age et le sexe et le milieu".

FILTER OFF.

**Tableau N: Rpartition de individus de 11 ans et + selon scolaris au del du primaire la tranche d'ge

*** Pour le tableau ci-dessous, slectionneret les rsidents m2_statu <= 2 et g de + de 11 ans : m4_age >= 11 

COMPUTE IND_RESI = 0.
IF ( m2_statu <= 2 and m4_age >= 11 ) IND_RESI =1.
FILTER BY IND_RESI .
EXECUTE.

*** Indicatrice des personnes de 11 ans et plus scolaris au del du primaire

COMPUTE IND_SEC = 0.
IF (m13a_ecp = 1 and (m13b_ens = 2 or m13b_ens GE 4)) IND_SEC = 100.
EXECUTE.

* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION ind_sec
  /FTOTAL $t 'Total'
  /TABLES (tran_ag2 +  $t ) BY (m3_sexe > (STATISTICS) +  $t )
     BY ind_sec
  /STATISTICS
  mean( ) /TITLE  'Tab : Proportion des individus de 11 ans et + scolariss au del du'+
 ' primaire selon le sexe '.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_SEC
  /FTOTAL $t 'Group Total'
  /TABLES (Tran_ag2 +  $t  + T0000000)
  BY (prov > (m3_sexe > IND_SEC +  $t ) + T0000000 > IND_SEC)
  /STATISTICS
  mean( ) /TITLE  "proportion des individus de 11 ans et + scolariss au del du primaire selon l'age, le sexe et la"+
 " province".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_SEC
  /FTOTAL $t 'Group Total'
  /TABLES (Tran_ag2 +  $t  + T0000000)
  BY (milieu > (m3_sexe > IND_SEC +  $t ) + T0000000 > IND_SEC)
  /STATISTICS
  mean( ) /TITLE  "proportion des individus de 11 ans et + scolariss au del du primaire selon l'age, le sexe et le"+
 " milieu".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_SEC
  /FTOTAL $t 'Group Total'
  /TABLES (Tran_ag2 +  $t  + T0000000)
  BY (milieu1 > (m3_sexe > IND_SEC +  $t ) + T0000000 > IND_SEC)
  /STATISTICS
  mean( ) /TITLE  "proportion des individus de 11 ans et + scolariss au del du primaire selon l'age, le sexe et le"+
 " milieu".

FILTER OFF.

**Tableau N: Rpartition de individus de 17 ans et + ayant scolaris au del du secondaire selon la tranche d'ge et le sexe

*** Pour le tableau ci-dessous, slectionneret les rsidents m2_statu <= 2 et g de + de 17 ans : m4_age >= 17 

COMPUTE IND_RESI = 0.
IF ( m2_statu <= 2 and m4_age >= 17 ) IND_RESI =1.
FILTER BY IND_RESI .
EXECUTE.

*** Indicatrice des personnes de 17 ans et plus ayant t jusqu' l'universit

COMPUTE IND_UNI = 0.
IF (m13a_ecp = 1 and m13b_ens GE 4) IND_UNI = 100.
EXECUTE.


* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION ind_uni
  /FTOTAL $t 'Total'
  /TABLES (tran_ag2 +  $t ) BY (m3_sexe > (STATISTICS) +  $t )
    BY ind_uni
  /STATISTICS
  mean( ) /TITLE  'Tab : Proportion des individus de 17 ans et  + du niveau universitaire'+
 ' selon le sexe '.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_UNI
  /FTOTAL $t 'Group Total'
  /TABLES (Tran_ag2 +  $t  + T0000000)
  BY (prov > (m3_sexe > IND_UNI +  $t ) + T0000000 > IND_UNI)
  /STATISTICS
  mean( ) /TITLE  "proportion des individus de 17 ans et + du niveau universitaire selon l'age, le sexe et la province".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_UNI
  /FTOTAL $t 'Group Total'
  /TABLES (Tran_ag2 +  $t  + T0000000)
  BY (milieu > (m3_sexe > IND_UNI +  $t ) + T0000000 > IND_UNI)
  /STATISTICS
  mean( ) /TITLE  "proportion des individus de 17 ans et + du niveau universitaire selon l'age, le sexe et le milieu".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_UNI
  /FTOTAL $t 'Group Total'
  /TABLES (Tran_ag2 +  $t  + T0000000)
  BY (milieu1 > (m3_sexe > IND_UNI +  $t ) + T0000000 > IND_UNI)
  /STATISTICS
  mean( ) /TITLE  "proportion des individus de 17 ans et + du niveau universitaire selon l'age, le sexe et le milieu".

FILTER OFF.

**Tableau N: Rpartition de individus de 10 ans alphabtissen franais selon l'ge et le sexe

*** Pour le tableau ci-dessous, slectionneret les rsidents m2_statu <= 2 et g de 10 ans et + : m4_age >= 10 

COMPUTE IND_RESI = 0.
IF ( m2_statu <= 2 and m4_age >= 10 ) IND_RESI =1.
FILTER BY IND_RESI .
EXECUTE.

*** Indicatrice des personnes de 10 ans et plus alphabtises en franais

COMPUTE IND_ALPH = 0.
IF (m18_LFR = 1) IND_ALPH = 100.
EXECUTE.

* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION ind_alph
  /FTOTAL $t 'Total'
  /TABLES (tran_ag2 +  $t ) BY (m3_sexe > (STATISTICS) +  $t )
    BY ind_alph
  /STATISTICS
  mean( ) /TITLE  'Tab : Proportion des individus et 10 ans et + alphabtiss en franais'+
 ' selon le sexe '.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_ALPH
  /FTOTAL $t 'Group Total'
  /TABLES (Tran_ag2 +  $t  + T0000000)
  BY (prov > (m3_sexe > IND_ALPH +  $t ) + T0000000 > IND_ALPH)
  /STATISTICS
  mean( ) /TITLE  "proportion des individus de 10 ans et + alphabtisation en franais selon l'age, le sexe et la province".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_ALPH
  /FTOTAL $t 'Group Total'
  /TABLES (Tran_ag2 +  $t  + T0000000)
  BY (milieu> (m3_sexe > IND_ALPH +  $t ) + T0000000 > IND_ALPH)
  /STATISTICS
  mean( ) /TITLE  "proportion des individus de 10 ans et + alphabtisation en franais selon l'age, le sexe et le milieu".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_ALPH
  /FTOTAL $t 'Group Total'
  /TABLES (Tran_ag2 +  $t  + T0000000)
  BY (milieu1> (m3_sexe > IND_ALPH +  $t ) + T0000000 > IND_ALPH)
  /STATISTICS
  mean( ) /TITLE  "proportion des individus de 10 ans et + alphabtisation en franais selon l'age, le sexe et le milieu".

*** Indicatrice des personnes de 10 ans et plus alphabtises en langues nationales.

COMPUTE IND_ALPHN = 0.
IF (m18_lna = 1) IND_ALPHN = 100.
EXECUTE.

* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION ind_alphn
  /FTOTAL $t 'Total'
  /TABLES (tran_ag2 +  $t ) BY (m3_sexe > (STATISTICS) +  $t )
    BY ind_alphn
  /STATISTICS
  mean( ) /TITLE  'Tab : Proportion des individus et 10 ans et + alphabtiss en langues nationales'+
 ' selon le sexe '.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_ALPHN
  /FTOTAL $t 'Group Total'
  /TABLES (Tran_ag2 +  $t  + T0000000)
  BY (prov > (m3_sexe > IND_ALPHN +  $t ) + T0000000 > IND_ALPHN)
  /STATISTICS
  mean( ) /TITLE  "proportion des individus de 10 ans et + alphabtiss en langues nationales selon l'age, le sexe et la"+
 " province".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_ALPHN
  /FTOTAL $t 'Group Total'
  /TABLES (Tran_ag2 +  $t  + T0000000)
  BY (milieu > (m3_sexe > IND_ALPHN +  $t ) + T0000000 > IND_ALPHN)
  /STATISTICS
  mean( ) /TITLE  "proportion des individus de 10 ans et + alphabtiss en langues nationales selon l'age, le sexe et le"+
 " milieu".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_ALPHN
  /FTOTAL $t 'Group Total'
  /TABLES (Tran_ag2 +  $t  + T0000000)
  BY (milieu1 > (m3_sexe > IND_ALPHN +  $t ) + T0000000 > IND_ALPHN)
  /STATISTICS
  mean( ) /TITLE  "proportion des individus de 10 ans et + alphabtiss en langues nationales selon l'age, le sexe et le"+
 " milieu".


FILTER OFF.

*** Tab : Nombre moyen d'annes d'tude par sexe

* Slectionner les individus ayant t  l'cole et les rsident 

COMPUTE ETUD = 0.
IF (m13a_ecp = 1 and m2_statu <= 2 ) ETUD = 1.
FILTER BY ETUD.

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION m14_cla
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio > m14_cla +  $t )
  BY (m3_sexe +  $t ) /TITLE  "Tab : Nombre moyen d'annes d'tude de la"+
 " population scolarie selon le sexe et la nationalit".

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION m14_cla
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio +  $t  + T0000000)
  BY (prov > (m3_sexe > m14_cla +  $t ) + T0000000 > m14_cla)
  /STATISTICS
  mean( ) /TITLE  "nombre moyen d'annes d'tudes de la populationscolarise selon le sexe, la nationalit et la province".

  * Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION m14_cla
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio +  $t  + T0000000)
  BY (milieu > (m3_sexe > m14_cla +  $t ) + T0000000 > m14_cla)
  /STATISTICS
  mean( ) /TITLE  "nombre moyen d'annes d'tudes de la populationscolarise selon le sexe, la nationalit et le milieu".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION m14_cla
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio +  $t  + T0000000)
  BY (milieu1 > (m3_sexe > m14_cla +  $t ) + T0000000 > m14_cla)
  /STATISTICS
  mean( ) /TITLE  "nombre moyen d'annes d'tudes de la populationscolarise selon le sexe, la nationalit et le milieu".


FILTER OFF.






*********************************
* Variable pour le calcul des taux de scolarisation 
*********************************

*** Pour les tableau ci-dessous, slectionneret les rsidents m2_statu <= 2 

COMPUTE IND_RESI = 0.
IF ( m2_statu <= 2 ) IND_RESI =1.
FILTER BY IND_RESI .
EXECUTE.

** Taux de scolarisation au primaire

compute EDUC10 = 0.
IF (m13a_ecp = 1 and m16_eca = 1 and m13b_ens = 1) EDUC10 = 1.
VAR LAB EDUC10 "Est  l'cole primaire".

compute EDUC11 = 0.
IF ((m13a_ecp = 1 and m16_eca = 1 and m13b_ens = 1) and (m4_AGE GE 6 AND m4_AGE LE 11)) EDUC11 = 1.
VAR lab educ11 "Est  l'cole primaire et a entre 6-11 ans ".

compute AGESCO1 = 0.
IF (m4_AGE GE 6 AND m4_AGE LE 11) AGESCO1 = 1.
VAR lab agesco1 "A l'age scolaire du primaire 6-11 ans ".

****************************************

** Taux de scolarisation au secondaire

compute EDUC20 = 0.
IF (m13a_ecp = 1 and m16_eca = 1 and m13b_ens = 2) EDUC20 = 1.
VAR LAB EDUC20 "Est  l'cole secondaire".

compute EDUC21 = 0.
IF  ((m13a_ecp = 1 and m16_eca = 1 and m13b_ens = 2) and (m4_AGE GE 12 AND m4_AGE LE 17)) EDUC21 = 1.
VAR lab educ21 "Est  l'cole secondaire et a entre 12-17 ans ".

compute AGESCO2 = 0.
IF (m4_AGE GE 12 AND m4_AGE LE 17) AGESCO2 = 1.
VAR lab agesco2 "A l'age scolaire du secondaire 12-17 ans ".

****************************************

** Taux de scolarisation au suprieur

compute EDUC30 = 0.
IF (m13a_ecp = 1 and m16_eca = 1 and m13b_ens >= 4) EDUC30 = 1.
VAR LAB EDUC30 "Est au suprieur".

compute EDUC31 = 0.
IF ((m13a_ecp = 1 and m16_eca = 1 and m13b_ens >= 4) and (m4_AGE GE 18 AND m4_AGE LE 22)) EDUC31 = 1.
VAR lab educ31 "Est au suprieuret a entre 18-22 ans ".

compute AGESCO3 = 0.
IF (m4_AGE GE 18 AND m4_AGE LE 22) AGESCO3 = 1.
VAR lab agesco3 "A l'age scolaire du suprieure 20 -24 ans ".
EXECUTE.


**Tableau pour le calcul des taux scolaires au primaire

* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION educ10 educ11 agesco1
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio > (educ10 + educ11 + agesco1) +  $t )
  BY prov > (m3_sexe +  $t )
  /STATISTICS
  sum( ) /TITLE  "Tab : Nombre d'enfants scolaris au primaire, d'ge"+
 " scolaire et scolaris et d'ge scolaire ".

* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION educ10 educ11 agesco1
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio > (educ10 + educ11 + agesco1) +  $t )
  BY prov > (m3_sexe +  $t )
  /STATISTICS
  sum( ) /TITLE  "Tab : Nombre d'enfants scolaris au primaire, d'ge"+
 " scolaire et scolaris et d'ge scolaire".


* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION educ10 educ11 agesco1
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio > (educ10 + educ11 + agesco1) +  $t )
  BY milieu > (m3_sexe +  $t )
  /STATISTICS
  sum( ) /TITLE  "Tab : Nombre d'enfants scolaris au primaire, d'ge"+
 " scolaire et scolaris et d'ge scolaire ".
* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION educ10 educ11 agesco1
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio > (educ10 + educ11 + agesco1) +  $t )
  BY milieu1 > (m3_sexe +  $t )
  /STATISTICS
  sum( ) /TITLE  "Tab : Nombre d'enfants scolaris au primaire, d'ge"+
 " scolaire et scolaris et d'ge scolaire ".




**Tableau pour le calcul des taux scolaires au secondaire

* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION educ20 educ21 agesco2
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio > (educ20 + educ21 + agesco2) +  $t )
  BY (m3_sexe +  $t )
  /STATISTICS
  sum( ) /TITLE  "Tab : Nombre d'enfants scolaris au secondaire, d'ge"+
 " scolaire et scolaris et d'ge scolaire ".
* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION educ20 educ21 agesco2
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio > (educ20 + educ21 + agesco2) +  $t )
  BY prov > (m3_sexe +  $t )
  /STATISTICS
  sum( ) /TITLE  "Tab : Nombre d'enfants scolaris au secondaire, d'ge"+
 " scolaire et scolaris et d'ge scolaire ".
* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION educ20 educ21 agesco2
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio > (educ20 + educ21 + agesco2) +  $t )
  BY milieu > (m3_sexe +  $t )
  /STATISTICS
  sum( ) /TITLE  "Tab : Nombre d'enfants scolaris au secondaire, d'ge"+
 " scolaire et scolaris et d'ge scolaire ".
* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION educ20 educ21 agesco2
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio > (educ20 + educ21 + agesco2) +  $t )
  BY milieu1 > (m3_sexe +  $t )
  /STATISTICS
  sum( ) /TITLE  "Tab : Nombre d'enfants scolaris au secondaire, d'ge"+
 " scolaire et scolaris et d'ge scolaire ".

**Tableau pour le calcul des taux scolaires au suprieur


*******Taux de scolarisation au suprieur( complement positif)

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION EDUC30 EDUC31 AGESCO3
  /FTOTAL $t 'Group Total'
  /TABLES (m7_natio +  $t  + T0000000)
  BY (m3_sexe > (EDUC30 + EDUC31 + AGESCO3) +  $t  + T0000000 > (EDUC30 + EDUC31 + AGESCO3))
  /STATISTICS
  sum( ) /TITLE  "Nombre d'enfants scolariss au suprieur, d'ge scolaire et scolaris et d'ge scolaire".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION EDUC30 EDUC31 AGESCO3
  /FTOTAL $t 'Group Total'
  /TABLES (prov > (m7_natio +  $t ) + T0000000)
  BY (m3_sexe > (EDUC30 + EDUC31 + AGESCO3) +  $t  + T0000000 > (EDUC30 + EDUC31 + AGESCO3))
  /STATISTICS
  sum( ) /TITLE  "Nombre d'enfants scolariss au suprieur, d'ge scolaire et scolaris et d'ge scolaire".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION EDUC30 EDUC31 AGESCO3
  /FTOTAL $t 'Group Total'
  /TABLES (milieu > (m7_natio +  $t ) + T0000000)
  BY (m3_sexe > (EDUC30 + EDUC31 + AGESCO3) +  $t  + T0000000 > (EDUC30 + EDUC31 + AGESCO3))
  /STATISTICS
  sum( ) /TITLE  "Nombre d'enfants scolariss au suprieur, d'ge scolaire et scolaris et d'ge scolaire".

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION EDUC30 EDUC31 AGESCO3
  /FTOTAL $t 'Group Total'
  /TABLES (milieu1 > (m7_natio +  $t ) + T0000000)
  BY (m3_sexe > (EDUC30 + EDUC31 + AGESCO3) +  $t  + T0000000 > (EDUC30 + EDUC31 + AGESCO3))
  /STATISTICS
  sum( ) /TITLE  "Nombre d'enfants scolariss au suprieur, d'ge scolaire et scolaris et d'ge scolaire".














***********************
*Phnomne de non scolarisation/ dscolarisation
*********************** 
*Slectionner toujours les rsidents.
*Slectionner les individus de 6  18 ans, non scolariss ou ayant abandonn l'cole

COMPUTE NON_SCO = 0.
IF ((m13a_ecp = 2 or (m13a_ecp = 1 and m16_eca = 2)) and (m4_AGE GE 6 AND m4_AGE LE 18)) NON_SCO = 1.
VAR LAB NON_SCO "Individu de 6-18 ans non scolaris ou dscolaris".
EXECUTE.

* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION non_sco
  /FTOTAL $t 'Group Total'
  /TABLES (tran_ag2 > non_sco +  $t )
  BY (m3_sexe +  $t )
  /STATISTICS
  sum( )
  spct( ( PCT5.1 ) 'Row Sum %':tran_ag2 )
  spct( ( PCT5.1 ) 'Col Sum %':m3_sexe ) /TITLE  "Tab : Rpartition des enfants de"+
 " 6-18 ans non scolariss ou dscolariss selon le sexe et l'ge ".


* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION non_sco
  /FTOTAL $t 'Group Total'
  /TABLES (tran_ag2 > non_sco +  $t )
  BY prov > (m3_sexe +  $t )
  /STATISTICS
  sum( )
  spct( ( PCT5.1 ) 'Row Sum %':tran_ag2 )
  spct( ( PCT5.1 ) 'Col Sum %':m3_sexe ) /TITLE  "Tab : Rpartition des enfants de"+
 " 6-18 ans non scolariss ou dscolariss selon le sexe et l'ge ".

* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION non_sco
  /FTOTAL $t 'Group Total'
  /TABLES (tran_ag2 > non_sco +  $t )
  BY milieu > (m3_sexe +  $t )
  /STATISTICS
  sum( )
  spct( ( PCT5.1 ) 'Row Sum %':tran_ag2 )
  spct( ( PCT5.1 ) 'Col Sum %':m3_sexe ) /TITLE  "Tab : Rpartition des enfants de"+
 " 6-18 ans non scolariss ou dscolariss selon le sexe et l'ge ".
* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION non_sco
  /FTOTAL $t 'Group Total'
  /TABLES (tran_ag2 > non_sco +  $t )
  BY milieu1 > (m3_sexe +  $t )
  /STATISTICS
  sum( )
  spct( ( PCT5.1 ) 'Row Sum %':tran_ag2 )
  spct( ( PCT5.1 ) 'Col Sum %':m3_sexe ) /TITLE  "Tab : Rpartition des enfants de"+
 " 6-18 ans non scolariss ou dscolariss selon le sexe et l'ge ".




* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION non_sco
  /FTOTAL $t 'Group Total'
  /TABLES (m17_are > non_sco +  $t )
  BY (m3_sexe +  $t )
  /STATISTICS
  sum( )
  spct( ( PCT5.1 ) 'Row Sum %':m17_are )
  spct( ( PCT5.1 ) 'Col Sum %':m3_sexe ) /TITLE  'Tab : Rpartition des'+
 ' enfants de 6-18 ans non scolariss ou dscolariss selon le sexe et la raison de'+
 ' non scolarisation'.

* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION non_sco
  /FTOTAL $t 'Group Total'
  /TABLES (m17_are > non_sco +  $t )
  BY prov >(m3_sexe +  $t )
  /STATISTICS
  sum( )
  spct( ( PCT5.1 ) 'Row Sum %':m17_are )
  spct( ( PCT5.1 ) 'Col Sum %':m3_sexe ) /TITLE  'Tab : Rpartition des'+
 ' enfants de 6-18 ans non scolariss ou dscolariss selon le sexe et la raison de'+
 ' non scolarisation'.

* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION non_sco
  /FTOTAL $t 'Group Total'
  /TABLES (m17_are > non_sco +  $t )
  BY milieu > (m3_sexe +  $t )
  /STATISTICS
  sum( )
  spct( ( PCT5.1 ) 'Row Sum %':m17_are )
  spct( ( PCT5.1 ) 'Col Sum %':m3_sexe ) /TITLE  'Tab : Rpartition des'+
 ' enfants de 6-18 ans non scolariss ou dscolariss selon le sexe et la raison de'+
 ' non scolarisation'.
* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION non_sco
  /FTOTAL $t 'Group Total'
  /TABLES (m17_are > non_sco +  $t )
  BY milieu1 > (m3_sexe +  $t )
  /STATISTICS
  sum( )
  spct( ( PCT5.1 ) 'Row Sum %':m17_are )
  spct( ( PCT5.1 ) 'Col Sum %':m3_sexe ) /TITLE  'Tab : Rpartition des'+
 ' enfants de 6-18 ans non scolariss ou dscolariss selon le sexe et la raison de'+
 ' non scolarisation'.


FILTER OFF.


WEIGHT OFF.






**********************************************************
*CHAPITRE 1 : COMPOSITION DES MENAGES
**********************************************************

***Cration de variable indicatrice pour identifier les types de membre********

compute nbconj = 0.
IF (M5_lien = 2) nbconj = 1 .
EXECUTE .

compute nbenf = 0.
IF (M5_lien  = 3) nbenf = 1 .
EXECUTE .

compute nbautre = 0.
IF (M5_lien  > 3 and M5_lien <> 8) nbautre = 1 .
EXECUTE .


*Trier les enregistrements par Site et Mnage

SORT CASES BY
  site (A) menage (A) .

*Crer un fichier mnage avec les variables "nombre de conjoint etc."

AGGREGATE
  /OUTFILE='C:\Documents and Settings\Ouedraogo\Mes'+
 ' documents\LYNACHER\Dossier RDC\Missio_tude\Fichier\Phase1/AG_TYP_M.SAV'
  /BREAK=site menage
  /Nbpers 'Nombre de personnes du mnage' = N(m2_statu) /nbconj 'Nombre de'+
 ' conjoints' = SUM(nbconj) /nbenf "Nombre d'enfants du chef de mnage" =
  SUM(nbenf) /nbautres "Nombre d'autres personnes du mnages" = SUM(nbautre)
 /ponder3 = FIRST(ponder3) /m3_sex_1 'Sexe du chef de mnage' = FIRST(m3_sexe).

FILTER OFF.

**Appeler le fichier cr pour les tableau suivants


GET
  FILE='C:\Documents and Settings\Ouedraogo\Mes documents\LYNACHER\Dossier'+
 ' RDC\Missio_tude\Fichier\Phase1\AG_TYP_M.SAV'.

Compute typmen = 6.
IF (NBPERS = 1) typmen = 1.
IF (nbpers = 2 and nbconj = 1 and nbenf = 0 and nbautres = 0) typmen = 2.
IF (nbpers > 2 and nbconj = 1 and nbenf > 0 and nbautres = 0) typmen = 3.
IF (nbpers >= 2 and nbconj = 0 and nbenf > 0 and nbautres = 0) typmen = 4.
IF (nbpers > 2 and nbconj = 0 and nbenf > 0 and nbautres > 0) typmen = 5.

VAR LAB typmen 'Type de mnage'.
VAL LAB typmen 1"Unipersonnel" 2"Couple sans enfant" 3"Couple avec enfants" 4"Monoparental nuclaire" 5"Monoparental largie" 6"Elargie".
EXECUTE.

** Tab : Rpartition des mnages selon le type de mnage et le sexe du chef de mnage

WEIGHT BY PONDER3.

* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /FTOTAL $t 'Group Total'
  /TABLES (m3_sex_1 > (STATISTICS) +  $t )
  BY (typmen +  $t )
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Row %':m3_sex_1 )
  cpct( ( PCT5.1 ) 'Col %':typmen ) /TITLE  'Tab : Rpartition des mnages'+
 ' selon le type de mnage et le sexe du chef'.







*CHAPITRE 1 : COMPOSITION DES MENAGES
**********************************************************
*****Tab1:
***Cration de variable indicatrice pour identifier les types de membre********
WEIGHT OFF.

compute nbconj = 0.
IF (M5_lien = 2) nbconj = 1 .
EXECUTE .

compute nbenf = 0.
IF (M5_lien  = 3) nbenf = 1 .
EXECUTE .

compute nbaut = 0.
IF (M5_lien  > 3 and M5_lien <> 7) nbaut = 1 .
EXECUTE .


SORT CASES BY
  site (A) menage (A) nu_indiv (A) m5_lien(A).

Compute typmen = 6.
IF (Q17_TMEN  = 1) typmen = 1.
IF ((Q17_TMEN  = 2) and (M5_lien=1 and nbconj = 1 and nbenf = 0 and nbaut = 0)) typmen = 2.
IF ((Q17_TMEN  > 2) and (M5_lien=1 and nbconj = 1 and nbenf > 0 and nbaut = 0)) typmen = 3.
IF ((Q17_TMEN  >= 2) and (M5_lien=1 and nbconj = 0 and nbenf > 0 and nbaut = 0)) typmen = 4.
IF ((Q17_TMEN  > 2) and (M5_lien=1 and nbconj = 0 and nbenf > 0 and nbaut > 0)) typmen = 5.

VAR LAB typmen 'Type de mnage'.
VAL LAB typmen 1"Unipersonnel" 2"Couple sans enfant" 3"Couple avec enfants" 4"Monoparental nuclaire" 5"Monoparental largie" 6"Elargie".
EXECUTE.

** Tab : Rpartition des mnages selon le type de mnage et le sexe du chef de mnage
COMPUTE m3_sex_1 = 0.
IF (m2_STATU <= 2 and m5_lien=1 and m3_sexe=1 ) m3_sex_1 =1.
IF (m2_STATU <= 2 and m5_lien=1 and m3_sexe=2) m3_sex_1 =2.
FILTER BY m3_sex_1.

WEIGHT BY PONDER3b.

* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /FTOTAL $t 'Group Total'
  /TABLES (m3_sex_1 > (STATISTICS) +  $t )
  BY (typmen +  $t )
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Row %':m3_sex_1 )
  cpct( ( PCT5.1 ) 'Col %':typmen ) /TITLE  'Tab : Rpartition des mnages'+
 ' selon le type de mnage et le sexe du chef'.

CROSSTABS
  /TABLES=typmen  BY m3_sex_1
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT ROW COLUMN TOTAL
  /COUNT ROUND CELL .

FILTER OFF.


******compsition des mnages version 2(amliore)
***Tab2:

FILTER OFF.
USE ALL.
SELECT IF(m2_statu<3 and m5_lien<7).
EXECUTE.

SORT CASES BY
  site (A) menage (A) nu_indiv (A)  m5_lien(A).

Compute typmen = 6.
IF (Q17_TMEN  = 1) typmen = 1.
IF ((Q17_TMEN  = 2) and (M5_lien= 1 or M5_lien=2)) typmen = 2.
IF ((Q17_TMEN  > 2) and (M5_lien=1 or M5_lien=2) or (M5_lien=3)) typmen = 3.
IF ((Q17_TMEN  >= 2) and (M5_lien=1 or M5_lien=3)) typmen = 4.
IF ((Q17_TMEN  > 2) and (M5_lien=1 or M5_lien>=3 )) typmen = 5.

VAR LAB typmen 'Type de mnage'.
VAL LAB typmen 1"Unipersonnel" 2"Couple sans enfant" 3"Couple avec enfants" 4"Monoparental nuclaire" 5"Monoparental largie" 6"Elargie".
EXECUTE.
 
USE ALL.
COMPUTE filter_$=(M5_lien = 1).
VARIABLE LABEL filter_$ ' M5_lien = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

FREQUENCIES
  VARIABLES=typmen
  /ORDER=  ANALYSIS .


Filter off.

** Tab : Rpartition des mnages selon le type de mnage et le sexe du chef de mnage
COMPUTE m3_sex_1 = 0.
IF (m2_STATU <= 2 and m5_lien=1 and m3_sexe=1 ) m3_sex_1 =1.
IF (m2_STATU <= 2 and m5_lien=1 and m3_sexe=2) m3_sex_1 =2.
FILTER BY m3_sex_1.


WEIGHT BY PONDER3b.

*****Niveau d'instruction par province.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /FTOTAL= $t000001 "Total" $t000002 "Total"
  /TABLE=m13b_ens + $t000001  BY prov > (STATISTICS) + $t000002
  /STATISTICS
  count( m13b_ens( F5.0 ))
  cpct( m13b_ens( PCT5.1 ) 'Col %':prov ).

**************************************************************************
*************Taille du mnage.

FILTER OFF.
USE ALL.
SELECT IF(m2_statu <= 2 ).
EXECUTE .


RECODE
  Q17_TMEN  
  (0 thru 1=1)  (2 thru 3=2)  (4 thru 5=3)  (6 thru 7=4)  (8 thru 9=5)
   (10 thru Highest=6)  INTO  Tran_taille .
VARIABLE LABELS Tran_taille "Tranche taille du mnage".
VAL LAB Tran_taille 1"1" 2"2-3" 3"4-5" 4"6-7" 5"8-9" 6"10 et +".
EXECUTE.

USE ALL.
COMPUTE filter_$=(M5_lien = 1).
VARIABLE LABEL filter_$ ' M5_lien = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

FREQUENCIES
  VARIABLES=Tran_taille
  /ORDER=  ANALYSIS .

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /TABLES (Tran_taille + T0000000)
  BY (prov + T0000000) > (STATISTICS)
  /STATISTICS
  cpct( ( PCT5.1 ) 'Col %':prov ) /TITLE  'Taille du mnage en % des mnages par province'.

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /TABLES (Tran_taille + T0000000)
  BY (milieu + T0000000) > (STATISTICS)
  /STATISTICS
  cpct( ( PCT5.1 ) 'Col %':milieu) /TITLE  'Taille du mnage en % des mnages par milieu'.

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /TABLES (Tran_taille + T0000000)
  BY (milieu1 + T0000000) > (STATISTICS)
  /STATISTICS
  cpct( ( PCT5.1 ) 'Col %':milieu1) /TITLE  'Taille du mnage en % des mnages par milieu'.


* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Q17_TMEN
  /TABLES (prov + T0000000) > Q17_TMEN
  BY (STATISTICS)
  /STATISTICS
  mean( ) /TITLE  'Taille  moyenne du mnage  par province'.

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Q17_TMEN
  /TABLES (milieu + T0000000) > Q17_TMEN
  BY (STATISTICS)
  /STATISTICS
  mean( ) /TITLE  'Taille  moyenne du mnage  par milieu'.
 * Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Q17_TMEN
  /TABLES (milieu1 + T0000000) > Q17_TMEN
  BY (STATISTICS)
  /STATISTICS
  mean( ) /TITLE  'Taille  moyenne du mnage  par milieu'.

FILTER OFF.
**
********************************************************************
***Composition des mnages.Le 2 novembre 2006( version MAYAMONA).
***********************************
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION menage
  /TABLES (typmen + T0000000)
  BY (m3_sex_1 + T0000000) > menage
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':m3_sex_1 ) /TITLE  'tableau 13 : type de mnage par sexe de chef de mnage'.

************************************************************************************
* Ouvrir le fichier ESIP2

******composition des mnages.

filter off.
USE ALL.
SELECT IF (m2_statu < 3  & m5_lien < 7).
EXECUTE .

COMPUTE nbconj = 0 .
IF (m5_lien = 2) nbconj = 1 .
EXECUTE .

COMPUTE nbenf = 0 .
IF (m5_lien = 3) nbenf = 1 .
EXECUTE .

COMPUTE nbaut = 0 .
IF (m5_lien > 3 and m5_lien<7  ) nbaut = 1 .
EXECUTE .

SORT CASES BY
  site (A) menage (A) nu_indiv (A) .

COMPUTE ident = site *10000+menage*100+Q17_TMEN .
EXECUTE .


SORT CASES BY
ident (A) .
EXECUTE .

AGGREGATE
  /OUTFILE='C:/aggr.sav'
  /BREAK=ident Q17_TMEN
  /nbconj = SUM(nbconj) /nbenf = SUM(nbenf) /nbaut = SUM(nbaut).

* Ouvir le fichier Aggr
GET
  FILE='C:\aggr.sav'.


COMPUTE typmen = 6 .
IF (Q17_TMEN = 1) typmen = 1 .
IF (Q17_TMEN = 2 and nbconj =1and nbenf = 0 and nbaut = 0) typmen = 2 .
IF (Q17_TMEN > 2 and nbconj =1and nbenf > 0 and nbaut = 0) typmen = 3 .
IF (Q17_TMEN >=2 and nbconj = 0 and nbenf > 0 and nbaut = 0) typmen =4 .
IF (Q17_TMEN > 2 and nbconj = 0 and nbenf > 0 and nbaut > 0) typmen = 5 .

VAR LAB typmen 'type de mnage' .
VAL LAB typmen 1"Unipersonnel" 2"Couple sans enfant" 3"Couple avec enfants" 4"Monoparental nuclaire" 5 "Monoparental largie" 6 "Elargie".
EXECUTE .

FREQUENCIES
  VARIABLES= typmen
  /ORDER=  ANALYSIS .
***vrification synt Maya.
FILTER OFF.
USE ALL.
SELECT IF(m5_lien = 1).
EXECUTE .


COMPUTE typmen = 6 .
IF (Q17_TMEN = 1) typmen = 1 .
IF (Q17_TMEN = 2 and nbconj =1and nbenf = 0 and nbaut = 0) typmen = 2 .
IF (Q17_TMEN >=3 and nbconj =1and nbenf =1 and nbaut = 0) typmen = 3 .
IF (Q17_TMEN >=2 and nbconj = 0 and nbenf =1 and nbaut = 0) typmen =4 .
IF (Q17_TMEN > 3 and nbconj = 0 and nbenf =1 and nbaut=1) typmen = 5 .

VAR LAB typmen 'type de mnage' .
VAL LAB typmen 1"Unipersonnel" 2"Couple sans enfant" 3"Couple avec enfants" 4"Monoparental nuclaire" 5 "Monoparental largie" 6 "Elargie".
EXECUTE .
** Tab : Rpartition des mnages selon le type de mnage et le sexe du chef de mnage
COMPUTE m3_sex_1 = 0.
IF (m2_STATU <= 2 and m5_lien=1 and m3_sexe=1 ) m3_sex_1 =1.
IF (m2_STATU <= 2 and m5_lien=1 and m3_sexe=2) m3_sex_1 =2.
FILTER BY m3_sex_1.


FREQUENCIES
  VARIABLES= typmen
  /ORDER=  ANALYSIS .
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION menage
  /TABLES (typmen + T0000000)
  BY (m3_sex_1 + T0000000) > menage
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':m3_sex_1 ) /TITLE  'tableau 13 : type de mnage par sexe de chef de mnage'.

filter off.

***Cration de variable indicatrice pour identifier les types de membre********

compute nbconj = 0.
IF (M5_lien = 2) nbconj = 1 .
EXECUTE .

compute nbenf = 0.
IF (M5_lien  = 3) nbenf = 1 .
EXECUTE .

compute nbautre = 0.
IF (M5_lien  > 3 and M5_lien <> 7) nbautre = 1 .
EXECUTE .


*Trier les enregistrements par Site et Mnage

SORT CASES BY
  site (A) menage (A) .

*Crer un fichier mnage avec les variables "nombre de conjoint etc."

AGGREGATE
  /OUTFILE='C:\Enqute 1-2-3\Analyse E123 nationale_1\Phase1'
/BREAK=site menage
  /Nbpers 'Q17_TMEN' = N(m2_statu) /nbconj 'Nombre de'+
 ' conjoints' = SUM(nbconj) /nbenf "Nombre d'enfants du chef de mnage" =
  SUM(nbenf) /nbautres "Nombre d'autres personnes du mnages" = SUM(nbautre).


**Appeler le fichier cr pour les tableau suivants


GET
  FILE='C:\Enqute 1-2-3\Analyse E123 nationale_1\Phase1\AG_TYP_M.SAV'.

Compute typmen = 6.
IF (Q17_TMEN = 1) typmen = 1.
IF (Q17_TMEN  = 2 and nbconj = 1 and nbenf = 0 and nbautre = 0) typmen = 2.
IF (Q17_TMEN  > 2 and nbconj = 1 and nbenf > 0 and nbautre = 0) typmen = 3.
IF (Q17_TMEN >= 2 and nbconj = 0 and nbenf > 0 and nbautre = 0) typmen = 4.
IF (Q17_TMEN  > 2 and nbconj = 0 and nbenf > 0 and nbautre > 0) typmen = 5.

VAR LAB typmen 'Type de mnage'.
VAL LAB typmen 1"Unipersonnel" 2"Couple sans enfant" 3"Couple avec enfants" 4"Monoparental nuclaire" 5"Monoparental largie" 6"Elargie".
EXECUTE.

****Complement sur la migration (positif).

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION m10b_dur
  /FTOTAL $t 'Group Total'
  /TABLES (m3_sexe +  $t  + T0000000)
  BY (m10a_tps > m10b_dur +  $t  + T0000000 > m10b_dur)
  /STATISTICS
  mean( ) /TITLE  'anciennet moyenne de migration(annes)'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION m10b_dur
  /FTOTAL $t 'Group Total'
  /TABLES (m3_sexe +  $t  + T0000000)
  BY (prov > (m10a_tps > m10b_dur +  $t ) + T0000000 > m10b_dur)
  /STATISTICS
  mean( ) /TITLE  'anciennet moyenne de migration(annes)'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION m10b_dur
  /FTOTAL $t 'Group Total'
  /TABLES (m3_sexe +  $t  + T0000000)
  BY (milieu > (m10a_tps > m10b_dur +  $t ) + T0000000 > m10b_dur)
  /STATISTICS
  mean( ) /TITLE  'anciennet moyenne de migration(annes)'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION m10b_dur
  /FTOTAL $t 'Group Total'
  /TABLES (m3_sexe +  $t  + T0000000)
  BY (milieu1 > (m10a_tps > m10b_dur +  $t ) + T0000000 > m10b_dur)
  /STATISTICS
  mean( ) /TITLE  'anciennet moyenne de migration(annes)'.

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (m10b_dur +  $t  + T0000000)
  BY (prov > nu_indiv +  $t  + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':prov ) /TITLE  'anciennet  de migration selon la province'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (m10b_dur +  $t  + T0000000)
  BY (milieu > nu_indiv +  $t  + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':milieu ) /TITLE  'anciennet  de migration selon le milieu'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (m10b_dur +  $t  + T0000000)
  BY (milieu1 > nu_indiv +  $t  + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':milieu1 ) /TITLE  'anciennet  de migration selon le milieu'.

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (m10b_dur +  $t  + T0000000)
  BY (prov > (m3_sexe > nu_indiv +  $t ) + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':prov m3_sexe ) /TITLE  'anciennet  de migration selon la province'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (m10b_dur +  $t  + T0000000)
  BY (milieu > (m3_sexe > nu_indiv +  $t ) + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':milieu m3_sexe ) /TITLE  'anciennet  de migration selon la province'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (m10b_dur +  $t  + T0000000)
  BY (milieu1 > (m3_sexe > nu_indiv +  $t ) + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':milieu1 m3_sexe ) /TITLE  'anciennet  de migration selon la province'.


***autre vesion

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION m10a_tps
  /FTOTAL $t 'Group Total'
  /TABLES (m10b_dur +  $t  + T0000000)
  BY (milieu > (m3_sexe > m10a_tps +  $t ) + T0000000 > m10a_tps)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':milieu m3_sexe ) /TITLE  'anciennet  de migration selon le milieu,pos'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION m10a_tps
  /FTOTAL $t 'Group Total'
  /TABLES (m10b_dur +  $t  + T0000000)
  BY (milieu1 > (m3_sexe > m10a_tps +  $t ) + T0000000 > m10a_tps)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':milieu1 m3_sexe ) /TITLE  'anciennet  de migration selon le milieu,pos'.


*****Etat matrimonial, tribu et religion
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (m6_situa +  $t  + T0000000)
  BY (prov > (m3_sexe > nu_indiv +  $t ) + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':prov m3_sexe ) /TITLE  'Rpartition de la population par tat matrimonial selon la province'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (m6_situa +  $t  + T0000000)
  BY (milieu > (m3_sexe > nu_indiv +  $t ) + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':milieu m3_sexe ) /TITLE  'Rpartition de la population par tat matrimonial selon le milieu'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (m6_situa +  $t  + T0000000)
  BY (milieu1 > (m3_sexe > nu_indiv +  $t ) + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':milieu1 m3_sexe ) /TITLE  'Rpartition de la population par tat matrimonial selon le milieu'.

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (m8b_reli +  $t  + T0000000)
  BY (prov > (m3_sexe > nu_indiv +  $t ) + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':prov m3_sexe ) /TITLE  'Rpartition de la population par religion pratique selon la province'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (m8b_reli +  $t  + T0000000)
  BY (milieu > (m3_sexe > nu_indiv +  $t ) + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':milieu m3_sexe ) /TITLE  'Rpartition de la population par religion pratique selon le milieu'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (m8b_reli +  $t  + T0000000)
  BY (milieu1 > (m3_sexe > nu_indiv +  $t ) + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':milieu1 m3_sexe ) /TITLE  'Rpartition de la population par religion pratique selon le milieu'.

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (m8a_trib +  $t  + T0000000)
  BY (prov > (m3_sexe > nu_indiv +  $t ) + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':prov m3_sexe ) /TITLE  'Rpartition de la population selon la tribu par province'.

*****Migration des chefs des mnages

****
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION m10b_dur
  /FTOTAL $t 'Group Total'
  /TABLES (m5_lien > (m3_sexe +  $t ) + T0000000)
  BY (m10a_tps > m10b_dur +  $t  + T0000000 > m10b_dur)
  /STATISTICS
  mean( ) /TITLE  'anciennet moyenne de migration des chefs des mnages(annes)'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION m10b_dur
  /FTOTAL $t 'Group Total'
  /TABLES (m5_lien > (m3_sexe +  $t ) + T0000000)
  BY (prov > (m10a_tps > m10b_dur +  $t ) + T0000000 > m10b_dur)
  /STATISTICS
  mean( ) /TITLE  'anciennet moyenne de migration des chefs des mnages(annes)'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION m10b_dur
  /FTOTAL $t 'Group Total'
  /TABLES (m5_lien > (m3_sexe +  $t ) + T0000000)
  BY (milieu > (m10a_tps > m10b_dur +  $t ) + T0000000 > m10b_dur)
  /STATISTICS
  mean( ) /TITLE  'anciennet moyenne de migration des chefs des mnages(annes)'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION m10b_dur
  /FTOTAL $t 'Group Total'
  /TABLES (m5_lien > (m3_sexe +  $t ) + T0000000)
  BY (milieu1 > (m10a_tps > m10b_dur +  $t ) + T0000000 > m10b_dur)
  /STATISTICS
  mean( ) /TITLE  'anciennet moyenne de migration des chefs des mnages(annes)'.

************
*avec reserve

COMPUTE IND_MIG = 0.
IF ( m2_statu <= 2 AND m10a_tps = 2) IND_MIG =1.
FILTER BY IND_MIG.
EXECUTE.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION MIGRANT
  /FTOTAL $t 'Group Total'
  /TABLES (m5_lien +  $t  + T0000000)
  BY (milieu > (m3_sexe > MIGRANT +  $t ) + T0000000 > MIGRANT)
  /STATISTICS
  mean( ) /TITLE  'taux de migration des chefs des mnages(annes)'.
***********************************
FILTER OFF.
COMPUTE IND_VIS = 0.
IF (m2_STATU <= 2) IND_VIS =1.
FILTER BY IND_VIS .


* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (m5_lien +  $t  + T0000000)
  BY (m3_sexe > (m10a_tps > nu_indiv +  $t ) + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 )) /TITLE  'taux de migration des chefs des mnages'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (prov > (m5_lien +  $t ) + T0000000)
  BY (m3_sexe > (m10a_tps > nu_indiv +  $t ) + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 )) /TITLE  'taux de migration des chefs des mnages'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (milieu > (m5_lien +  $t ) + T0000000)
  BY (m3_sexe > (m10a_tps > nu_indiv +  $t ) + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 )) /TITLE  'taux de migration des chefs des mnages'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (milieu1 > (m5_lien +  $t ) + T0000000)
  BY (m3_sexe > (m10a_tps > nu_indiv +  $t ) + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 )) /TITLE  'taux de migration des chefs des mnages'.

****Scolarisation( suite).

FILTER OFF.
USE ALL.
SELECT IF(m2_statu <= 2).
EXECUTE .


* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /TABLES (m13d_dip + T0000000)
  BY nu_indiv
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %') /TITLE  'Diplme le plus lev obtenu'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /TABLES (m13d_dip + T0000000)
  BY (prov + T0000000) > nu_indiv
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':prov ) /TITLE  'Diplme le plus lev obtenu'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /TABLES (m13d_dip + T0000000)
  BY (milieu + T0000000) > nu_indiv
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':milieu ) /TITLE  'Diplme le plus lev obtenu'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /TABLES (m13d_dip + T0000000)
  BY (milieu1+ T0000000) > nu_indiv
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':milieu1 ) /TITLE  'Diplme le plus lev obtenu'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /TABLES (m13d_dip + T0000000)
  BY (prov > (m3_sexe) + T0000000) > nu_indiv
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':prov m3_sexe ) /TITLE  'Diplme le plus lev obtenu'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (m13d_dip +  $t  + T0000000)
  BY (prov > (m3_sexe > nu_indiv +  $t ) + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':prov m3_sexe ) /TITLE  'Diplme le plus lev obtenu'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (m13d_dip +  $t  + T0000000)
  BY (milieu > (m3_sexe > nu_indiv +  $t ) + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':milieu m3_sexe ) /TITLE  'Diplme le plus lev obtenu'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION nu_indiv
  /FTOTAL $t 'Group Total'
  /TABLES (m13d_dip +  $t  + T0000000)
  BY (milieu1 > (m3_sexe > nu_indiv +  $t ) + T0000000 > nu_indiv)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':milieu1 m3_sexe ) /TITLE  'Diplme le plus lev obtenu'.
*******************
RECODE
MILIEU(1 thru 2=1)(3=2) INTO MILIEU1.
VARIABLE LABELS MILIEU1"Milieu agrg".
VAL LAB MILIEU1 1'Urbain' 2'rural'.
EXECUTE.
