*** Imputation des revenus - Modle de rgression **********************************

**Cration des variables explicative du modle
**Age

COMPUTE agd = m4_age .
EXECUTE .

** Sexe

RECODE
  m3_sexe
  (1=1)  (ELSE=0)  INTO  Sexe1 .
VARIABLE LABELS Sexe1 'Sexe homme'.
EXECUTE .

** Scolarisation

RECODE
  m13b_ens
  (1=1) (3=1) (sysmis=1)  (ELSE=0)  INTO  Primaire .
VARIABLE LABELS Primaire 'Ind Niv. Primaire ou prog. formel'.
EXECUTE .

RECODE
  m13b_ens
  (2=1)  (ELSE=0)  INTO  Second .
VARIABLE LABELS Second 'Ind Niv. secondaire'.
EXECUTE .

RECODE
  m13b_ens
  (4=1) (5=1)  (ELSE=0)  INTO  Super .
VARIABLE LABELS Super 'Ind Niv. suprieure'.
EXECUTE .

**Nombre d'anne d'tude

RECODE
  m14_cla
  (0 thru 10 =1) (sysmis=1)  (ELSE=0)  INTO  etude9 .
VARIABLE LABELS etude9 'Ind Nbre annes tude <10'.
EXECUTE .

RECODE
  m14_cla
  (10 thru highest =1) (ELSE=0)  INTO  etude10 .
VARIABLE LABELS etude10 'Ind Nbre annes tude >10'.
EXECUTE .

***Diplme

RECODE
  m13d_dip
  (0=1) (9=1) (sysmis=1) (ELSE=0)  INTO  Dipl0 .
VARIABLE LABELS Dipl0 'Ind aucun diplme'.
EXECUTE .

RECODE
  m13d_dip
  (1=1)  (ELSE=0)  INTO  Dipl1 .
VARIABLE LABELS Dipl1 'Ind. Certificat EP'.
EXECUTE .

RECODE
  m13d_dip
  (2 thru 3=1)  (ELSE=0)  INTO  Dipl2 .
VARIABLE LABELS Dipl2 "Ind. Brevet CO ou D4, A3".
EXECUTE .

RECODE
  m13d_dip
  (4 thru 5=1)  (ELSE=0)  INTO  Dipl3 .
VARIABLE LABELS Dipl3 "Ind. PP5 D6, A2".
EXECUTE .

RECODE
  m13d_dip
  (6 thru 8=1)  (ELSE=0)  INTO  Dipl4 .
VARIABLE LABELS Dipl4 'Ind. Graduate et +'.
EXECUTE .

****Catgorie socio-professionnelle

RECODE
  ap3_cat
  (0 thru 5=1)  (ELSE=0)  INTO  Cs01 .
VARIABLE LABELS Cs01 ' Salari'.
EXECUTE .


RECODE
  ap3_cat
  (6 thru 7=1)  (ELSE=0)  INTO  Cs02 .
VARIABLE LABELS Cs02 'Ind patron indpendant'.
EXECUTE .

RECODE
  ap3_cat
  (8 thru 9=1) (sysmis=1) (ELSE=0)  INTO  Cs03 .
VARIABLE LABELS Cs03 'Ind apprenti aides fam'.
EXECUTE .

***** Secteur institutionnel

RECODE
  SI
  (1 thru 3=1) (5=1) (ELSE=0)  INTO  SI01 .
VARIABLE LABELS SI01'Ent. public/formel'.
EXECUTE .

RECODE
  SI
  (4=1) (ELSE=0)  INTO  SI02 .
VARIABLE LABELS SI02'Entrep. informel'.
EXECUTE .


**** Anciennet dans l'entreprise

RECODE ap8a2_en (sysmis=0).
EXECUTE.

COMPUTE ancent = ap8a2_en .
VARIABLE LABELS ancent "Anciennet dans l'entreprise" .
EXECUTE .

****Nbre d'heures travaille par semaine

COMPUTE heur = ap11_hh .
VARIABLE LABELS heur "Nbre heures de travail la semaine" .
EXECUTE .

*** Forme de paiement , obtention du revenu

RECODE
  ap12_pai
  (1=1)  (2=1) (ELSE=0)  INTO  Paye1 .
VARIABLE LABELS Paye1 'Ind salaire fixe'.
EXECUTE .

RECODE
  ap12_pai
  (3=1) (4=1) (ELSE=0)  INTO  Paye2 .
VARIABLE LABELS Paye2 'Ind a la tache commission'.
EXECUTE .

RECODE
  ap12_pai
  (5=1)  (ELSE=0)  INTO  Paye3 .
VARIABLE LABELS Paye3 'Ind au bnfice'.
EXECUTE .

RECODE
  ap12_pai
  (6=1)  (ELSE=0)  INTO  Paye4 .
VARIABLE LABELS Paye4 'Ind en nature'.
EXECUTE .

***Travail en continue

RECODE
  ap9a_con
  (1=1)  (ELSE=0)  INTO  Continu .
VARIABLE LABELS Continu 'Ind trav. en continu'.
EXECUTE .

****Travail irrgulier

RECODE
  ap9b_occ
  (1=1)  (ELSE=0)  INTO  journe .
VARIABLE LABELS journe 'Ind occ. journe'.
EXECUTE .

RECODE
  ap9b_occ
  (1=1)  (ELSE=0)  INTO  tache .
VARIABLE LABELS  tache 'Ind occ. tache'.
EXECUTE .

RECODE
  ap9b_occ
  (1=1)  (ELSE=0)  INTO  saisonie .
VARIABLE LABELS saisonie 'Ind occ. saisonnier'.
EXECUTE .

*****Nombre d'employ de l'entreprise

RECODE
  ap5_nbre
  (1=1)  (sysmis=1) (ELSE=0)  INTO  Autoempl .
VARIABLE LABELS Autoempl 'Ind auto emploi'.
EXECUTE .

RECODE
  ap5_nbre
  (2 thru highest =1)  (ELSE=0)  INTO Plus_emp .
VARIABLE LABELS Plus_emp  "Ind entr. de plusieurs emplois".
EXECUTE .

*****Branche dactivit

RECODE
  bran5
  (1=1)  (sysmis=1) (ELSE=0)  INTO  Agric.
VARIABLE LABELS Agric 'Ind Branche agri'.
EXECUTE .

RECODE
  bran5
  (2=1)  (ELSE=0)  INTO  BaTP.
VARIABLE LABELS BaTP 'Ind Branche BTP'.
EXECUTE .

RECODE
  bran5
  (3=1)  (ELSE=0)  INTO  Indust.
VARIABLE LABELS indust 'Ind Branche Industrie'.
EXECUTE .

RECODE
  bran5
  (4=1)  (ELSE=0)  INTO  Service.
VARIABLE LABELS Service 'Ind Branche Service'.
EXECUTE .

***** Calcul du logarithme du revenu

COMPUTE logerv = LN(ap13a_mt) .
VARIABLE LABELS logerv 'Logarithme du revenu' .
EXECUTE .



****Slection pour la rgression des individu avec un emploi ayant dclar un revenu  
USE ALL.
COMPUTE filter_$=(m2_statu <=2 & sitac = 1 & ap12_pai <=6 & ap13a_mt ~= SYSMIS(ap13a_mt)).
VARIABLE LABEL filter_$ 'sitac = 1 & ap12_pai <=6  & (ap13a_mt ~= SYSMIS(ap13a_mt)')+
 ' (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI BCOV R ANOVA COLLIN TOL CHANGE ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT logerv
  /METHOD=ENTER agd sexe1 second super etude9 etude10 dipl3 dipl4 cs01 ancent
  heur continu saisonie plus_emp agric batp service si01  .

COMPUTE Est_lrev = 7.572 + 0.005553 * agd + 0.379*sexe1 + 0.128*second + 1.012 * super - 0.243 *etude9 +
  0.241 * etude10 - 0.427 * dipl3 - 0.777 * dipl4 - 0.294 * cs01 + 0.007762 * ancent + 0.7668 * heur  + 0.309 * continu + 0.487 * saisonie + 0.234 * plus_emp
 -  0.417 * agric  - 0.262 * batp + 0.168 * indust + 0.292 * si01   .
VARIABLE LABELS Est_lrev 'Log revenu estim' .
EXECUTE .

***** ATTENTION : MODELE NON CONCLUANT




*******traitement de l'enqute nationale 123.

**Calcul des revenus pour ceux qui ont dclar des tranches (activit principale)

IF (ap12_pai NE 7) REV_FIN1 = 0.
IF (ap13b_sa = 1) REV_FIN1 = 5000/2.
IF (ap13b_sa = 2) REV_FIN1 = (5000 + 10000)/2.
IF (ap13b_sa = 3) REV_FIN1 = (10000 + 20000)/2.
IF (ap13b_sa = 4 ) REV_FIN1 = (20000 + 40000)/2.
IF (ap13b_sa = 5) REV_FIN1 = (40000 + 60000)/2.
IF (ap13b_sa = 6) REV_FIN1 = (60000 + 100000)/2.
IF (ap13b_sa = 7) REV_FIN1 = (100000 + 140000)/2.
EXECUTE.

*Calcul du revenu final pour tous les actif rmunrs

IF (ap13a_mt ~= SYSMIS(ap13a_mt)) rev_fin = ap13a_mt .
EXECUTE .

IF (ap13b_sa >= 1 & ap13b_sa <= 7) rev_fin = rev_fin1 .
EXECUTE .

**Identification des revenus faibles

COMPUTE REV_LOW =0.
if (ap13a_mt LE 100) REV_LOW =1.
EXECUTE.


IF (rev_low = 1) rev_fin = ap13a_mt * 1000
 .
EXECUTE .

***Calcul du revenu horaire

COMPUTE Rev_hor = rev_fin /(AP11_HH*4.25).
EXECUTE.



****TABULATION

WEIGHT BY PONDER3.

**Slectionner les actif sitac =1

USE ALL.
COMPUTE filter_$=(sitac = 1 ).
VARIABLE LABEL filter_$ 'sitac = 1  (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION rev_fin
  /FTOTAL $t 'Group Total'
  /TABLES (si > rev_fin +  $t )
  BY (STATISTICS)
  /STATISTICS
  mean( )
  median( ) /TITLE  "Caractristique de l'emploi principal par secteur"+
 " institutionnel (Revenu mensuel moyen et mdian)".

* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION rev_fin
  /FTOTAL $t 'Group Total'
  /TABLES (si > rev_fin +  $t )
  BY prov > (STATISTICS)
  /STATISTICS
  mean( )
  median( ) /TITLE  "Caractristique de l'emploi principal par secteur"+
 " institutionnel (Revenu mensuel moyen et mdian)".
* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION rev_fin
  /FTOTAL $t 'Group Total'
  /TABLES (si > rev_fin +  $t )
  BY milieu > (STATISTICS)
  /STATISTICS
  mean( )
  median( ) /TITLE  "Caractristique de l'emploi principal par secteur"+
 " institutionnel (Revenu mensuel moyen et mdian)".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_hor
  /FTOTAL $t 'Group Total'
  /TABLES (SI +  $t  + T0000000)
  BY Rev_hor
  /STATISTICS
  mean( )
  median( ) /TITLE  "caractristiques de l'emploi principal par secteur institutionnel(revenu horaire moyen et mdian)".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_hor
  /FTOTAL $t 'Group Total'
  /TABLES (SI +  $t  + T0000000)
  BY (prov > Rev_hor +  $t  + T0000000 > Rev_hor)
  /STATISTICS
  mean( )
  median( ) /TITLE  "caractristiques de l'emploi principal par secteur institutionnel(revenu horaire moyen et mdian)".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_hor
  /FTOTAL $t 'Group Total'
  /TABLES (SI +  $t  + T0000000)
  BY (milieu > Rev_hor +  $t  + T0000000 > Rev_hor)
  /STATISTICS
  mean( )
  median( ) /TITLE  "caractristiques de l'emploi principal par secteur institutionnel(revenu horaire moyen et mdian)".

***pour les tableaux suivants(4) slectionner les chefs de mnage?

* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION rev_fin ap11_hh
  /FTOTAL $t 'Group Total'
  /TABLES (rev_fin + ap11_hh)
  BY (cat_men > (STATISTICS) +  $t )
  /STATISTICS
  sum( ) /TITLE  "Revenu total de l'activit principal et horaire total selon"+
 " la catgorie du mnage (du chef de mnage)".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION rev_fin ap11_hh
  /TABLES (CAT_MEN + T0000000)
  BY (rev_fin + ap11_hh)
  /STATISTICS
  sum( ).
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION rev_fin ap11_hh
  /TABLES (CAT_MEN + T0000000)
  BY (prov + T0000000) > (rev_fin + ap11_hh)
  /STATISTICS
  sum( ).
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION rev_fin ap11_hh
  /TABLES (CAT_MEN + T0000000)
  BY (milieu + T0000000) > (rev_fin + ap11_hh)
  /STATISTICS
  sum( ).



* Basic Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION rev_fin
  /FTOTAL $t 'Group Total'
  /TABLES si3 > ((re_cat > rev_fin +  $t ))
  BY (STATISTICS)
  /STATISTICS
  mean( )
  median( ) /TITLE  "Caractristique de l'emploi principal par secteur"+
 " institutionnel et catgorie socio-professionnelle  (Revenu mensuel moyen et"+
 " mdian)".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION rev_fin
  /TABLES (SI3 > (Re_cat) + T0000000)
  BY (prov + T0000000) > rev_fin
  /STATISTICS
  mean( )
  median( ) /TITLE  "caractristique de l'emploi principal par secteur institutionnel et catgorie socio"+
 "-professionnelle(Revenu mensuel moyen et mdian)".

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION rev_fin
  /TABLES (SI3 > (Re_cat) + T0000000)
  BY (milieu + T0000000) > rev_fin
  /STATISTICS
  mean( )
  median( ) /TITLE  "caractristique de l'emploi principal par secteur institutionnel et catgorie socio"+
 "-professionnelle(Revenu mensuel moyen et mdian)".


FILTER OFF.

**Selectionner les chefs de mnages

USE ALL.
COMPUTE filter_$=(sitac = 1 and m5_lien =1).
VARIABLE LABEL filter_$ 'sitac = 1 and m5_lien =1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .



* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION rev_fin
  /FTOTAL $t 'Group Total'
  /TABLES rev_fin
  BY (cat_men +  $t )
  /STATISTICS
  mean( )
  median( ) /TITLE  'Principales caractristique des chefs de mnages par'+
 ' type de mnage (revenu moyen et mdian)'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION rev_fin
  /TABLES (CAT_MEN + T0000000)
  BY rev_fin
  /STATISTICS
  mean( )
  median( ) /TITLE  "caractristique de l'emploi principal des chefs de mnages par type de mnage (Revenu mensuel moyen et"+
 " mdian)".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION rev_fin
  /TABLES (CAT_MEN + T0000000)
  BY (prov + T0000000) > rev_fin
  /STATISTICS
  mean( )
  median( ) /TITLE  "caractristique de l'emploi principal des chefs de mnages par type de mnage (Revenu mensuel moyen et"+
 " mdian)".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION rev_fin
  /TABLES (CAT_MEN + T0000000)
  BY (milieu + T0000000) > rev_fin
  /STATISTICS
  mean( )
  median( ) /TITLE  "caractristique de l'emploi principal des chefs de mnages par type de mnage (Revenu mensuel moyen et"+
 " mdian)".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_hor
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY Rev_hor
  /STATISTICS
  mean( )
  median( ) /TITLE  "caractristique de l'emploi principal des chefs de mnages par type de mnage(revenu horaire moyen et"+
 " mdian)".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_hor
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (prov > Rev_hor +  $t  + T0000000 > Rev_hor)
  /STATISTICS
  mean( )
  median( ) /TITLE  "caractristique de l'emploi principal des chefs de mnages par type de mnage(revenu horaire moyen et"+
 " mdian)".
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_hor
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (milieu > Rev_hor +  $t  + T0000000 > Rev_hor)
  /STATISTICS
  mean( )
  median( ) /TITLE  "caractristique de l'emploi principal des chefs de mnages par type de mnage(revenu horaire moyen et"+
 " mdian)".



FILTER OFF.

*************************************************************************************
**Calcul des revenus pour ceux qui ont dclar des tranches (activit secondaire)

IF (as1_act =1 and as10b_mi = 1) REV_FIN2 = 5000/2.
IF (as1_act =1 and as10b_mi = 2) REV_FIN2 = (5000 + 10000)/2.
IF (as1_act =1 and as10b_mi = 3) REV_FIN2 = (10000 + 20000)/2.
IF (as1_act =1 and as10b_mi = 4) REV_FIN2 = (20000 + 40000)/2.
IF (as1_act =1 and as10b_mi = 5) REV_FIN2 = (40000 + 60000)/2.
IF (as1_act =1 and as10b_mi = 6) REV_FIN2 = (60000 + 100000)/2.
IF (as1_act =1 and as10b_mi = 7) REV_FIN2 = (100000 + 140000)/2.
EXECUTE.

*Calcul du revenu final pour tous les actif rmunrs

IF (as10a_sl ~= SYSMIS(as10a_sl )) rev_fin3 = as10a_sl .
EXECUTE .

IF (as1_act >= 1 & as1_act <= 7) rev_fin3 = rev_fin2 .
EXECUTE .

**Identification des revenus faibles

COMPUTE REV_LOW2 =0.
if (as10a_sl LE 100) REV_LOW2 =1.
EXECUTE.


IF (rev_low2 = 1) rev_fin3 = as10a_sl * 1000.
VAR LAB rev_fin3 "Revenu en act. secondaire" .
EXECUTE .

************************************************************************************
*Calcul du revenu total

COMPUTE Rev_tot = sum(rev_fin, rev_fin3) .
VARIABLE LABELS Rev_tot 'Revenu total' .
EXECUTE .

* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION menage
  /FTOTAL $t 'Group Total'
  /TABLES menage
  BY (cat_men +  $t )
  /STATISTICS
  spct( ( PCT5.1 ) 'Row Sum %') /TITLE  'Distribution des diffrentes'+
 ' catgories de mnages (population totale par catgorie de mnage)'.




* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION menage
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY menage
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %') /TITLE  'distribution de la population totale par catgorie de mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION menage
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (prov > menage +  $t  + T0000000 > menage)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':prov ) /TITLE  'distribution de la population totale par catgorie de mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION menage
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (milieu > menage +  $t  + T0000000 > menage)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':milieu ) /TITLE  'distribution de la population totale par catgorie de mnage'.


* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION rev_tot
  /FTOTAL $t 'Group Total'
  /TABLES rev_tot
  BY (cat_men > (STATISTICS) +  $t )
  /STATISTICS
  sum( ) /TITLE  "Revenu total (l'activit principal et  activit secondaire)"+
 " selon la catgorie du mnage (du chef de mnage)".
 * Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tot
  /TABLES (CAT_MEN + T0000000)
  BY Rev_tot
  /STATISTICS
  sum( )
  spct( ( PCT5.1 ) 'Col Sum %') /TITLE  'revenu total(activit principale et activit secondaire) selon la catgorie du'+
 ' mnage( du chef de mnage)'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tot
  /TABLES (CAT_MEN + T0000000)
  BY (prov + T0000000) > Rev_tot
  /STATISTICS
  sum( )
  spct( ( PCT5.1 ) 'Col Sum %':prov ) /TITLE  'revenu total(activit principale et activit secondaire selon la catgorie du'+
 ' mnage( du chef de mnage)'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tot
  /TABLES (CAT_MEN + T0000000)
  BY (milieu + T0000000) > Rev_tot
  /STATISTICS
  sum( )
  spct( ( PCT5.1 ) 'Col Sum %':milieu ) /TITLE  'revenu total(activit principale et activit secondaire selon la catgorie'+
 ' du mnage( du chef de mnage)'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tot
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY Rev_tot
  /STATISTICS
  count( ( F5.0 ))
  mean( )
  median( ) /TITLE  'Revenu total mensuel moyen et mdian'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tot
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (prov > Rev_tot +  $t  + T0000000 > Rev_tot)
  /STATISTICS
  mean( )
  median( ) /TITLE  'Revenu total mensuel moyen et mdian'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tot
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (milieu > Rev_tot +  $t  + T0000000 > Rev_tot)
  /STATISTICS
  mean( )
  median( ) /TITLE  'Revenu total mensuel moyen et mdian'.

*************************************************

USE ALL.
COMPUTE filter_$=(m5_lien = 1).
VARIABLE LABEL filter_$ 'm5_lien = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


* Basic Tables.
TABLES
  /FORMAT ZERO MISSING('.')
  /OBSERVATION nbpers unit_con
  /FTOTAL $t 'Group Total'
  /TABLES (nbpers + unit_con)
  BY (cat_men2 > (STATISTICS) +  $t )
  /STATISTICS
  sum( ) /TITLE  "Nombre total de personnes et d'Unit de consommation des"+
 " mbane".

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION menage
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY menage
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %') /TITLE  'distribution de la population totale par catgorie de mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION menage
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (prov > menage +  $t  + T0000000 > menage)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':prov ) /TITLE  'distribution de la population totale par catgorie de mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION menage
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (milieu > menage +  $t  + T0000000 > menage)
  /STATISTICS
  count( ( F5.0 ))
  cpct( ( PCT5.1 ) 'Col %':milieu ) /TITLE  'distribution de la population totale par catgorie de mnage'.




FILTER OFF.

********Sous-emploi visible.

COMPUTE FIL_EMPLA = 0.
IF (m2_STATU <= 2 and M4_age >= 10 and SITAC=1) FIL_EMPLA =1.
FILTER BY FIL_EMPLA .

COMPUTE IND_VISI = 0.
IF (sitac =1 and ap11_hh< 35 ) IND_VISI =100.
VAR LAB IND_VISI "Indicatrice sous-emploi visible".

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_VISI
  /TABLES (m3_sexe + T0000000)
  BY (prov + T0000000) > IND_VISI
  /STATISTICS
  mean( ) /TITLE  'sous-emploi visible par sexe selon la province'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_VISI
  /TABLES (m3_sexe + T0000000)
  BY (milieu + T0000000) > IND_VISI
  /STATISTICS
  mean( ) /TITLE  'sous-emploi visible par sexe selon le milieu'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_VISI
  /TABLES (m3_sexe + T0000000)
  BY IND_VISI
  /STATISTICS
  mean( ) /TITLE  'sous-emploi visible par sexe selon le milieu'.

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_VISI
  /TABLES (SI + T0000000)
  BY (milieu + T0000000) > IND_VISI
  /STATISTICS
  mean( ) /TITLE  'sous-emploi visible par sexe selon le milieu'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_VISI
  /TABLES (SI + T0000000)
  BY (prov + T0000000) > IND_VISI
  /STATISTICS
  mean( ) /TITLE  'sous-emploi visible par sexe selon la province'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_VISI
  /TABLES (SI2 + T0000000)
  BY (prov + T0000000) > IND_VISI
  /STATISTICS
  mean( ) /TITLE  'sous-emploi visible par sexe selon la province'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_VISI
  /TABLES (SI2 + T0000000)
  BY (milieu + T0000000) > IND_VISI
  /STATISTICS
  mean( ) /TITLE  'sous-emploi visible par sexe selon le milieu'.

*****Sous-emploi invisible.
   ***** ** H1:salaire minimum horaire:smh=SMIG/40*4,5 o le SMIG=335fc par jour, soit 335fc*26=8710fc par mois;
				   =8710/(40*4,5)=48,39
COMPUTE FIL_EMPLA = 0.
IF (m2_STATU <= 2 and M4_age >= 10 and SITAC=1) FIL_EMPLA =1.
FILTER BY FIL_EMPLA .

COMPUTE IND_INVISI = 0.
IF (sitac =1 and rev_hor < 48.39 ) IND_INVISI =100.
VAR LAB IND_INVISI "Indicatrice sous-emploi invisible".

************************************************
 Hypothse de Bamako pour Kin seulement:H2:salaire minimum horaire:smh=SMIG/40*4,5 o le SMIG=345fc par jour, soit 345fc*26=8710fc par mois;
				   =8710/(40*4,5)=49,83

COMPUTE FIL_EMPLA = 0.
IF (m2_STATU <= 2 and M4_age >= 10 and SITAC=1) FIL_EMPLA =1.
FILTER BY FIL_EMPLA .

COMPUTE IND_INVISI = 0.
IF (sitac =1 and rev_hor < 49.83 ) IND_INVISI =100.
VAR LAB IND_INVISI "Indicatrice sous-emploi invisible".
****************************************

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_INVISI
  /TABLES (m3_sexe + T0000000)
  BY (prov + T0000000) > IND_INVISI
  /STATISTICS
  mean( ) /TITLE  'sous-emploi invisible par sexe selon la province'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_INVISI
  /TABLES (m3_sexe + T0000000)
  BY (milieu + T0000000) > IND_INVISI
  /STATISTICS
  mean( ) /TITLE  'sous-emploi invisible par sexe selon la province'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_INVISI
  /TABLES (SI + T0000000)
  BY (prov + T0000000) > IND_INVISI
  /STATISTICS
  mean( ) /TITLE  'sous-emploi invisible par sexe selon la province'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_INVISI
  /TABLES (SI + T0000000)
  BY (milieu + T0000000) > IND_INVISI
  /STATISTICS
  mean( ) /TITLE  'sous-emploi invisible par sexe selon lle milieu'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_INVISI
  /TABLES (SI2 + T0000000)
  BY (prov + T0000000) > IND_INVISI
  /STATISTICS
  mean( ) /TITLE  'sous-emploi invisible par sexe selon la province'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_INVISI
  /TABLES (SI2 + T0000000)
  BY (milieu + T0000000) > IND_INVISI
  /STATISTICS
  mean( ) /TITLE  'sous-emploi invisible par sexe selon lle milieu'.

******Sous emploi global.

COMPUTE FIL_EMPLA = 0.
IF (m2_STATU <= 2 and M4_age >= 10 and SITAC=1) FIL_EMPLA =1.
FILTER BY FIL_EMPLA .


COMPUTE IND_GLOBAL = 0.
IF (sitac =1 and ( ap11_hh< 35  or   rev_hor < 48.39 )) IND_GLOBAL=100.
VAR LAB IND_GLOBAL"Indicatrice sous-emploi global".

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_GLOBAL
  /TABLES (m3_sexe + T0000000)
  BY (prov + T0000000) > IND_GLOBAL
  /STATISTICS
  mean( ) /TITLE  'sous-emploi global par sexe selon la province'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_GLOBAL
  /TABLES (m3_sexe + T0000000)
  BY (milieu + T0000000) > IND_GLOBAL
  /STATISTICS
  mean( ) /TITLE  'sous-emploi global par sexe selon lle milieu'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_GLOBAL
  /TABLES (SI + T0000000)
  BY (prov + T0000000) > IND_GLOBAL
  /STATISTICS
  mean( ) /TITLE  'sous-emploi global par sexe selon la province'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_GLOBAL
  /TABLES (SI + T0000000)
  BY (milieu + T0000000) > IND_GLOBAL
  /STATISTICS
  mean( ) /TITLE  'sous-emploi global par sexe selon le milieu'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_GLOBAL
  /TABLES (SI2 + T0000000)
  BY (prov + T0000000) > IND_GLOBAL
  /STATISTICS
  mean( ) /TITLE  'sous-emploi global par sexe selon la province'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION IND_GLOBAL
  /TABLES (SI2 + T0000000)
  BY (milieu + T0000000) > IND_GLOBAL
  /STATISTICS
  mean( ) /TITLE  'sous-emploi global par sexe selon le milieu '.

FILTER OFF.

****************************************************************************
********Tableaux de contrle sur le revenu total de la population

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tot
  /FTOTAL $t 'Group Total'
  /TABLES (m5_lien > (CAT_MEN +  $t ) + T0000000)
  BY Rev_tot
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  'revenu total (act princ et sec) par catgorie du mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tot
  /FTOTAL $t 'Group Total'
  /TABLES (m5_lien > (CAT_MEN +  $t ) + T0000000)
  BY (prov > Rev_tot +  $t  + T0000000 > Rev_tot)
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  'revenu total (act princ et sec) par catgorie du mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tot
  /FTOTAL $t 'Group Total'
  /TABLES (m5_lien > (CAT_MEN +  $t ) + T0000000)
  BY (milieu > Rev_tot +  $t  + T0000000 > Rev_tot)
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  'revenu total (act princ et sec) par catgorie du mnage'.
***Slectionner les chefs de mnage pour les tableaux suivants:
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tot
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY Rev_tot
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  'revenu total  des chefs de mnage (act princ et sec) par catgorie du mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tot
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (prov > Rev_tot +  $t  + T0000000 > Rev_tot)
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  'revenu total  des chefs de mnage (act princ et sec) par catgorie du mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tot
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (milieu > Rev_tot +  $t  + T0000000 > Rev_tot)
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  'revenu total  des chefs de mnage (act princ et sec) par catgorie du mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tot menage
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (Rev_tot + menage)
  /STATISTICS
  sum( )
  count( ( F5.0 )) /TITLE  'revenu total  des chefs de mnage (act princ et sec) par catgorie du mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tot menage
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (prov > (Rev_tot + menage) +  $t  + T0000000 > (Rev_tot + menage))
  /STATISTICS
  sum( )
  count( ( F5.0 )) /TITLE  'revenu total  des chefs de mnage (act princ et sec) par catgorie du mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tot menage
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (milieu > (Rev_tot + menage) +  $t  + T0000000 > (Rev_tot + menage))
  /STATISTICS
  sum( )
  count( ( F5.0 )) /TITLE  'revenu total  des chefs de mnage (act princ et sec) par catgorie du mnage'.


********Revenu hors emploi

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION rha1_pen rha1_pmt rha2_apn rha2_amt rha3_pro rha3_pmt rha3b_pr rha3b_pm rha4_fin rha4_fmt rha5_tra rha5_tmt
  rha6_brs rha6_bmt rha7_rev rha7_rmt
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (rha1_pen + rha1_pmt + rha2_apn + rha2_amt + rha3_pro + rha3_pmt + rha3b_pr + rha3b_pm + rha4_fin + rha4_fmt + rha5_tra
 + rha5_tmt + rha6_brs + rha6_bmt + rha7_rev + rha7_rmt)
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  'Revenu hors emploi par catgorie du mnage'.


*Calcul du revenu total

COMPUTE Rev_tothempl = sum(rha1_pen ,rha1_pmt, rha2_apn, rha2_amt, rha3_pro, rha3_pmt, rha3b_pr, rha3b_pm,rha4_fin, rha4_fmt, rha5_tra, rha5_tmt,
  rha6_brs, rha6_bmt, rha7_rev, rha7_rmt).
VARIABLE LABELS Rev_tothempl 'Revenu total hors emploi' .
EXECUTE .

*Calcul du revenu global 
COMPUTE Rev_glob = sum(rev_fin, rev_fin3, Rev_tothempl ) .
VARIABLE LABELS  Rev_glob ' Ensemble de Revenus'.
EXECUTE .

* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tothempl
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY Rev_tothempl
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  'Revenu hors emploi par catgorie du mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tothempl
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (prov > Rev_tothempl +  $t  + T0000000 > Rev_tothempl)
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  'Revenu hors emploi par catgorie du mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tothempl
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (milieu > Rev_tothempl +  $t  + T0000000 > Rev_tothempl)
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  'Revenu hors emploi par catgorie du mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tothempl
  /FTOTAL $t 'Group Total'
  /TABLES (m5_lien > (CAT_MEN +  $t ) + T0000000)
  BY Rev_tothempl
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  'Revenu hors emploi par catgorie du mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tothempl
  /FTOTAL $t 'Group Total'
  /TABLES (m5_lien > (CAT_MEN +  $t ) + T0000000)
  BY (prov > Rev_tothempl +  $t  + T0000000 > Rev_tothempl)
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  'Revenu hors emploi par catgorie du mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tothempl
  /FTOTAL $t 'Group Total'
  /TABLES (m5_lien > (CAT_MEN +  $t ) + T0000000)
  BY (milieu > Rev_tothempl +  $t  + T0000000 > Rev_tothempl)
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  'Revenu hors emploi par catgorie du mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_ensbl
  /FTOTAL $t 'Group Total'
  /TABLES (m5_lien > (CAT_MEN +  $t ) + T0000000)
  BY Rev_ensbl
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  'Ensemble de revenus ( act princ,act sec plus rev hors emploi) par catgorie du mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_glob  /FTOTAL $t 'Group Total'
  /TABLES (m5_lien > (CAT_MEN +  $t ) + T0000000)
  BY (prov > Rev_glob +  $t  + T0000000 > Rev_ensbl)
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  'Ensemble de revenus ( act princ,act sec plus rev hors emploi) par catgorie du mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_glob  
  /FTOTAL $t 'Group Total'
  /TABLES (m5_lien > (CAT_MEN +  $t ) + T0000000)
  BY (milieu > Rev_glob  +  $t  + T0000000 > Rev_ensbl)
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  'Ensemble de revenus ( act princ,act sec plus rev hors emploi) par catgorie du mnage'.

***Slectionner les chefs de mnage
 USE ALL.
COMPUTE filter_$=(m5_lien = 1).
VARIABLE LABEL filter_$ 'm5_lien = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_ensbl
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY Rev_ensbl
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  '  revenu global des chefs de mnage ( act princ,act sec plus rev hors emploi) par catgorie du mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_ensbl
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (prov > Rev_ensbl +  $t  + T0000000 > Rev_ensbl)
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  '  revenu global des chefs de mnage ( act princ,act sec plus rev hors emploi) par catgorie du mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_ensbl
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (milieu > Rev_ensbl +  $t  + T0000000 > Rev_ensbl)
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  '  revenu global des chefs de mnage ( act princ,act sec plus rev hors emploi) par catgorie du mnage'.
*********
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_glob
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY Rev_glob
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  'Revenu global par catgorie du mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_glob
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (prov > Rev_glob +  $t  + T0000000 > Rev_glob)
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  'Revenu global par catgorie du mnage'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_glob
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (milieu > Rev_glob +  $t  + T0000000 > Rev_glob)
  /STATISTICS
  sum( )
  count( ( F5.0 ))
  mean( ) /TITLE  'Revenu global par catgorie du mnage'.

****************
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tothempl
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY Rev_tothempl
  /STATISTICS
  cpct( ( PCT5.1 ) 'Col %') /TITLE  'revenus hors emploi ( pop de 10 ans et +)selon  les catgories de mnages'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tothempl
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (prov > Rev_tothempl +  $t  + T0000000 > Rev_tothempl)
  /STATISTICS
  cpct( ( PCT5.1 ) 'Col %':prov ) /TITLE  'revenus hors emploi ( pop 10 ans et + )selon  les catgories de mnages'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_tothempl
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (milieu > Rev_tothempl +  $t  + T0000000 > Rev_tothempl)
  /STATISTICS
  cpct( ( PCT5.1 ) 'Col %':milieu ) /TITLE  'revenus hors emploi ( pop de 10 ans et +) selon  les catgories de mnages'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_glob
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY Rev_glob
  /STATISTICS
  cpct( ( PCT5.1 ) 'Col %') /TITLE  'revenu global de la pop de 10 ans et + selon  les catgories de mnages'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_glob
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (prov > Rev_glob +  $t  + T0000000 > Rev_glob)
  /STATISTICS
  cpct( ( PCT5.1 ) 'Col %':prov ) /TITLE  'revenu global de la pop de 10 ans et + selon  les catgories de mnages'.
* Basic Tables.
TEMPORARY.
NUMERIC T0000000.
LEAVE T0000000.
VARIABLE LABEL T0000000 'Table Total'.
VALUE LABELS T0000000 0 ' '.
TABLES
  /FORMAT BLANK MISSING('.')
  /OBSERVATION Rev_glob
  /FTOTAL $t 'Group Total'
  /TABLES (CAT_MEN +  $t  + T0000000)
  BY (milieu > Rev_glob +  $t  + T0000000 > Rev_glob)
  /STATISTICS
  cpct( ( PCT5.1 ) 'Col %':milieu ) /TITLE  'revenu global de la pop de 10 ans et + selon  les catgories de mnages'.
RECODE
MILIEU(1 thru 2=1)(3=2) INTO MILIEU1.
VARIABLE LABELS MILIEU1"Milieu agrg".
VAL LAB MILIEU1 1'Urbain' 2'rural'.
EXECUTE.
